Skip to main content
GET
/
api
/
pipelines
/
list
List organization pipelines
curl --request GET \
  --url https://your-instance.example.com/api/pipelines/list \
  --header 'Authorization: Bearer <token>'
{
  "pipelines": [
    {
      "_id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "organizationId": "<string>",
      "type": "Contact",
      "isDefault": true,
      "isActive": true,
      "stages": [
        {
          "name": "<string>",
          "color": "<string>"
        }
      ],
      "pipelineStageIds": [
        "<string>"
      ],
      "pipelineStages": [
        {
          "_id": "<string>",
          "name": "<string>",
          "color": "<string>",
          "position": 123
        }
      ],
      "createdBy": "<string>",
      "updatedBy": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

type
enum<string>
default:Contact
Available options:
Contact,
Application

Response

Pipelines returned

pipelines
object[]